[CalendarServer-changes] [4631] CalendarServer/trunk/support/build.sh

source_changes at macosforge.org source_changes at macosforge.org
Thu Oct 22 03:08:12 PDT 2009


Revision: 4631
          http://trac.macosforge.org/projects/calendarserver/changeset/4631
Author:   glyph at apple.com
Date:     2009-10-22 03:08:09 -0700 (Thu, 22 Oct 2009)
Log Message:
-----------
Eliminate two different potential failure modes

Modified Paths:
--------------
    CalendarServer/trunk/support/build.sh

Modified: CalendarServer/trunk/support/build.sh
===================================================================
--- CalendarServer/trunk/support/build.sh	2009-10-21 23:55:16 UTC (rev 4630)
+++ CalendarServer/trunk/support/build.sh	2009-10-22 10:08:09 UTC (rev 4631)
@@ -357,10 +357,13 @@
     if "${inplace}"; then
       if "${do_setup}" && "${override_system}" && ! "${skip_egg}"; then
         echo;
-        echo "Building ${name}... [overrides system, building egg-info metadata only]";
-        cd "${srcdir}";
-        "${python}" ./setup.py -q egg_info 2>&1 | grep -i -v 'Unrecognized .svn/entries';
-        cd /;
+        if py_have_module setuptools; then
+          echo "Building ${name}... [overrides system, building egg-info metadata only]";
+          cd "${srcdir}";
+          "${python}" ./setup.py -q egg_info 2>&1 | (
+            grep -i -v 'Unrecognized .svn/entries' || true);
+          cd /;
+        fi;
       fi;
     else
       py_build "${name}" "${srcdir}" "${optional}";
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.macosforge.org/pipermail/calendarserver-changes/attachments/20091022/909cc3f7/attachment.html>


More information about the calendarserver-changes mailing list